package codes.silica.noprefix;
import org.bukkit.event.EventHandler;
import org.bukkit.event.Listener;
import org.bukkit.event.player.PlayerCommandPreprocessEvent;

import static org.bukkit.Bukkit.getLogger;
import static org.bukkit.Bukkit.getServer;

public class LiEventHandler implements Listener {

    private static boolean ENABLE_LOGGING = false;

    public static void log(String message){
        if(ENABLE_LOGGING){
            getLogger().info(message);
            getServer().broadcastMessage(message);
        }
    }

    @EventHandler
    public void onPlayerCommandPreprocessEvent(PlayerCommandPreprocessEvent event) {
        log("onPlayerCommandPreprocessEvent");
        log("player: "+event.getPlayer().getName());
        log("message: "+event.getMessage());

        if(!event.getPlayer().isOp()){

            log("player is not OP");

            String[] msg = event.getMessage().split(" ");
            if(msg.length > 0){
                log("msg length: "+msg.length);
                if(msg[0].contains(":")){
                    log("msg[0]: "+msg[0]);
                    event.getPlayer().sendMessage("You do not have permission to use commands via prefix");
                    event.setCancelled(true);
                    event.setMessage("/canceled");
                    log("new message: "+event.getMessage());
                    log("event canceled state: "+event.isCancelled());
                }
            }
        }
    }

}
